#!/bin/bash

set -e
set -o pipefail

DB=ngas
PATH_TO_SQL_FILE=/repos/ngas/src/ngamsCore/ngamsSql/ngamsCreateTables-PostgreSQL.sql

echo "Creating database '$DB' "

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
        CREATE DATABASE $DB;
        GRANT ALL PRIVILEGES ON DATABASE $DB TO archive;
EOSQL

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname $DB < $PATH_TO_SQL_FILE

echo "'$DB' was created successfully"
